2019-12-08 12:34 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000229Spring engineGeneralpublic2006-09-23 13:22
ReporterBug Hunter 
Assigned Totvo 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000229: Remove unit from group hotkey not working as expected.
Descriptionthe shortcut key, to remove a given unit from an group (or group ai), is Shift+Q.

The expected behaviour, when you press it, is it will absolve the selected units (and only the selected units), from its parent group.

Strangely, pressing this shortcut key, when only some of the units of the group are selected, behaves, not as shift+Q, but as Q alone does, i mean, it selects the hole group, instead of clearing those selected units from its parent group.

Pressing it again, however, deletes the hole group ai.

That behaviour, is not what is expected, and, is not as it used to work in older versions, iirc.

I assume this change was introduced when the first linux build was released, but cant confirm it.

changing it back, is apreciated.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0000383

Bug Hunter (reporter)

Last edited: 2006-09-21 06:30

the "desired" or "expected" behaviour described here, is how it used to work on early versions of spring.

early.. = pre .66?

if im not mistaken, the way ive descrived it, is the way it used to be, untill this happened.

A obvious reason this should work the way ive described, is.. that is if i want to destroy the hole group, instead of only ht units selected, i would press "Q" alone first, (instead of "shift q") and THEN, i would press fhist q or alt q i dont recall the hotkey now.

~0000384

tvo (reporter)

does this still happen with 0.73b1 test build 3 or later?

~0000389

Bug Hunter (reporter)

great, this is working again in test buil 0.71b1 dev3

shift+q will inmediatly remove a subgroup from its main group. thanks developpers.

~0000392

tvo (reporter)

fixed according to reporter
+Notes

-Issue History
Date Modified Username Field Change
2006-07-04 03:53 Bug Hunter New Issue
2006-09-21 06:29 Bug Hunter Note Added: 0000383
2006-09-21 06:29 Bug Hunter Note Edited: 0000383
2006-09-21 06:29 Bug Hunter Note Edited: 0000383
2006-09-21 06:30 Bug Hunter Note Edited: 0000383
2006-09-22 12:26 tvo Note Added: 0000384
2006-09-22 12:26 tvo Status new => feedback
2006-09-22 20:05 Bug Hunter Note Added: 0000389
2006-09-23 13:22 tvo Status feedback => assigned
2006-09-23 13:22 tvo Assigned To => tvo
2006-09-23 13:22 tvo Status assigned => resolved
2006-09-23 13:22 tvo Resolution open => fixed
2006-09-23 13:22 tvo Note Added: 0000392
+Issue History